GDB (xrefs)

Public Attributes | List of all members
symfile_segment_data Struct Reference

`#include "symfile.h"`

## Public Attributes
int | num_segments
CORE_ADDR * | segment_bases
CORE_ADDR * | segment_sizes
int * | segment_info

## Detailed Description

Definition at line 76 of file symfile.h.

## Member Data Documentation

## ◆ num_segments

int symfile_segment_data::num_segments

Definition at line 81 of file symfile.h.

Referenced by default_symfile_segments(), elf_symfile_segments(), get_offsets(), solib_target_relocate_section_addresses(), symfile_find_segment_sections(), and symfile_map_offsets_to_segments().

## ◆ segment_bases

CORE_ADDR* symfile_segment_data::segment_bases

Definition at line 85 of file symfile.h.

Referenced by default_symfile_segments(), elf_symfile_segments(), free_symfile_segment_data(), get_offsets(), solib_target_relocate_section_addresses(), and symfile_map_offsets_to_segments().

## ◆ segment_info

int* symfile_segment_data::segment_info

Definition at line 95 of file symfile.h.

Referenced by default_symfile_segments(), elf_symfile_segments(), free_symfile_segment_data(), symfile_find_segment_sections(), and symfile_map_offsets_to_segments().

## ◆ segment_sizes

CORE_ADDR* symfile_segment_data::segment_sizes

Definition at line 89 of file symfile.h.

Referenced by default_symfile_segments(), elf_symfile_segments(), free_symfile_segment_data(), and solib_target_relocate_section_addresses().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symfile.h